import HorizontalStackedbarOptions from './HorizontalStackedbarOptions';
export default class HorizontalStackedbar {
    private readonly options;
    private readonly idMap;
    private xAxis?;
    private yAxis?;
    private margin;
    constructor(options?: HorizontalStackedbarOptions);
    render(): HTMLDivElement;
    init(element: HTMLElement): void;
    private renderAxis;
    private getBarWidth;
    private getBarHeight;
    private renderLegend;
    private renderBarLabels;
    private transitionStacked;
    private sumup;
    private getLabels;
    private getValues;
}
